(defun c:mltposit (/ osm dimscl pts ptn pte alfa pt1 pt2 pt3 str strl ortho cmd autosn ptt lpos)
  (setq ortho (getvar "ORTHOMODE"))
  (setq osm (getvar "OSMODE"))
  (setq autosn (getvar "autosnap"))
  (setq	cmd (getvar "CMDECHO"))
  (setq dimscl (getvar "dimscale"))
  (setq pts (getpoint "\n   :"))
  (setvar "orthomode" 1)
  (setvar "CMDECHO" 0)
  (setvar "osmode" 0)
  (setq ptn (getpoint pts "\n   :"))
  (setq alfa (angle pts ptn))
  (setq pt1 (polar pts (+ alfa (/ pi 4)) (* dimscl 5)))
  (setq pt2 (polar ptn (+ alfa (/ pi 4)) (* dimscl 5)))
  (command "line" pts pt1 "")
  (command "line" ptn pt2 "")
  (while (/= ptn nil)
    (setq ptn (getpoint ptn "\n   :"))
    (if (/= ptn nil)
      (progn
	(setq pt2 (polar ptn (+ alfa (/ pi 4)) (* dimscl 5)))
	(command "line" ptn pt2 ""))
      )
    )
  (if (= alfa 0)
    (progn
      (setq lpos (getdist pt2 "\n   :"))
      (if (/= lpos nil)
	(progn
	  (setq pt3 (polar pt2 alfa lpos))
	  (setq ptt (polar pt3 (/ pi 2) (* dimscl 1)))
	  (command "line" pt1 pt3 "")
	  (setq str (getstring "\n   :"))
	  (command "text" "j" "br" ptt (* dimscl 3) 0 str)
	  )
	(progn
	  (setq ptt (polar pt1 alfa (/ (distance pt1 pt2) 2)))
	  (setq ptt (polar ptt (/ pi 2) (* dimscl 1)))
	  (setq pt3 pt2)
	  (command "line" pt1 pt3 "")
	  (setq str (getstring "\n   :"))
	  (command "text" "j" "bc" ptt (* dimscl 3) 0 str)
	  )
	)
      )
    (if (= alfa pi)
      (progn
	(setq lpos (getdist pt2 "\n   :"))
	(if (/= lpos nil)
	  (progn
	    (setq pt3 (polar pt2 alfa lpos))
	    (setq ptt (polar pt3 (/ pi 2) (* dimscl 1)))
	    (command "line" pt1 pt3 "")
	    (setq str (getstring "\n   :"))
	    (command "text" "j" "bl" ptt (* dimscl 3) 0 str)
	    )
	  (progn
	    (setq ptt (polar pt1 alfa (/ (distance pt1 pt2) 2)))
	    (setq ptt (polar ptt (* (/ pi 2) 3) (* dimscl 1)))
	    (setq pt3 pt2)
	    (command "line" pt1 pt3 "")
	    (setq str (getstring "\n   :"))
	    (command "text" "j" "tc" ptt (* dimscl 3) 0 str)
	    )
	  )
	)
      (if (= alfa (/ pi 2))
	(progn
	  (setq lpos (getdist pt2 "\n   :"))
	  (if (/= lpos nil)
	    (progn
	      (setq pt3 (polar pt2 alfa lpos))
	      (command "line" pt1 pt3 "")
	      (setq str (getstring "\n   :"))
	      (setq strl (strlen str))
	      (setq pte (polar pt3 pi (* (* strl dimscl) 2.5)))
	      (command "line" pt3 pte "")
	      (setq ptt (polar pt3 pi (/ (distance pt3 pte) 2)))
	      (setq ptt (polar ptt (/ pi 2) (* dimscl 1)))
	      (command "text" "j" "bc" ptt (* dimscl 3) 0 str)
	      )
	    (progn
	      (setq ptt (polar pt1 alfa (/ (distance pt1 pt2) 2)))
	      (setq ptt (polar ptt pi (* dimscl 1)))
	      (setq pt3 pt2)
	      (command "line" pt1 pt3 "")
	      (setq str (getstring "\n   :"))
	      (command "text" "j" "bc" ptt (* dimscl 3) 90 str)
	      )
	    )
	  )
	(progn
	  (setq lpos (getdist pt2 "\n   :"))
	  (if (/= lpos nil)
	    (progn
	      (setq pt3 (polar pt2 alfa lpos))
	      (command "line" pt1 pt3 "")
	      (setq str (getstring "\n   :"))
	      (setq strl (strlen str))
	      (setq pte (polar pt3 0 (* (* strl dimscl) 2.5)))
	      (command "line" pt3 pte "")
	      (setq ptt (polar pt3 0 (/ (distance pt3 pte) 2)))
	      (setq ptt (polar ptt (/ pi 2) (* dimscl 1)))
	      (command "text" "j" "bc" ptt (* dimscl 3) 0 str)
	      )
	    (progn
	      (setq ptt (polar pt1 alfa (/ (distance pt1 pt2) 2)))
	      (setq ptt (polar ptt 0 (* dimscl 1)))
	      (setq pt3 pt2)
	      (command "line" pt1 pt3 "")
	      (setq str (getstring "\n   :"))
	      (command "text" "j" "tc" ptt (* dimscl 3) 90 str)
	      )
	    )
	  )
	)
      )
    )
  (setvar "orthomode" ortho)
  (setvar "CMDECHO" cmd)
  (setvar "autosnap" autosn)
  (setvar "osmode" osm)
  )